首页 新闻 搜索 专区 学院

iis发布asp.net web项目

0
悬赏园豆:10 [已解决问题] 解决于 2014-09-26 15:01

选择.net framework版本全部选择4.0错误

全部选择2.0错误

晓爽的主页 晓爽 | 初学一级 | 园豆:130
提问于:2014-09-24 11:47
< >
分享
最佳答案
0

这应该是IIS和VS安装顺序不当引起的。通常应该先打开IIS功能,再安装VS。解决办法:(VS2012为例)程序菜单》VS2012里面》Visual Studio Tools》VS2012开发人员命令提示。右键单击 “VS2012开发人员命令提示”。以管理员身份运行。输入 aspnet_regiis -i 按回车  安装完成即可。

收获园豆:10
只管敲代码 | 菜鸟二级 |园豆:212 | 2014-09-24 14:27
其他回答(3)
0

请选择 .NET 4.0+  IIS  也需要注册  aspnet_regiis -i

苦逼面条 | 园豆:289 (菜鸟二级) | 2014-09-24 19:51
0

1、确认你的网站的.net版本。在2.0、4.0之外,还有1.1(曾很流行)、1.0(几乎少用),如果是1.1的话,那就安装好.net 1.1后设置为1.1

2、是否启用了ASP.NET?如果没启用,自然也不可以

3、还不行,运行aspnet_regiis -i和 aspnet_regiis -r。

519740105 | 园豆:5810 (大侠五级) | 2014-09-25 10:37
0

选择4.0模式也不一样,都尝试过了吗?

于为源 | 园豆:956 (小虾三级) | 2014-09-25 20:32
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册